UbixOS V2 2.0

Data Structures | Functions
device.h File Reference
`#include <sys/types.h>`
Include dependency graph for device.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | device_interface
struct | device_node
struct | device_resource

## Functions
int | device_add (int, char, struct device_interface *)
struct device_node * | device_find (int major, int minor)
int | device_remove (struct device_node *)

## Function Documentation

## ◆ device_add()

int device_add | ( | int | ,
|  | char | ,
|  | struct device_interface * |
| ) |  |

Definition at line 49 of file device.c.

References device_node::devInfo, kmalloc(), kprintf(), device_node::minor, NULL, device_node::prev, spinLock(), and device_node::type.

Referenced by fdc_init().

Here is the call graph for this function:

## ◆ device_find()

struct device_node* device_find | ( | int | major,
|  | int | minor
| ) |  |

Definition at line 82 of file device.c.

References spinLock().

Referenced by vfs_mount().

Here is the call graph for this function:

## ◆ device_remove()

int device_remove | ( | struct device_node * |  | ) |

Definition at line 104 of file device.c.